Go to the first, previous, next, last section, table of contents.

## X11 Xconq Command Options

The arguments to an X11 Xconq command consist of a list of player specifications and possibly some additional options.

`[name[,ai][/config]@]display[+adv]`
  Attempt to open a display on display and assign a player/side to it. Options include naming the player name, adding an AI of type ai, using the side config file config and asking for an advantage of adv. adv defaults to 1. If name is not supplied, then name is assumed to be the display name. A display named just `"_"` is equivalent to the default display, as in the value of the environment variable `DISPLAY`.

You can get a variety of uses out of player specs. For instance, the player spec `,ai+4` asks for an AI, of a default type appropriate to its side, with a starting advantage of 4. If you want to give yourself an advantage, just specify `+4` anywhere on the command line.

The following options are always available:

`-c n`
  Write a checkpoint every n turns.
`-design`
  Make every side in the game be a designer.
`-e[,ai][+adv] n`
  Create n sides and AIs to play them, using the optional ai and adv to set the AI type and advantage of each.
`-f filename`
  Play the game found in filename.
`-g gamename`
  Play the game gamename, if one by that name exists in the library (the default, or the location specified with `-L`.
`-h n`
  Wait for n human players to join.
`-help, --help`
  List all of the options. If a game was loaded using `-g` or `-f`, also list all of the variants for the game.
`-host name`
  Set up a network game named name. name must currently have the form host:port, where host is the name of a host, and port is a TCP port number. The port number should not already be in use; good choices are 4-digit numbers like 1539 (`'^X' << 6 + '^C'`) or 3075.
`-join name`
  Connect to an existing game named name. name must currently have the form host:port, where host is the name of a host, and port is a TCP port number.
`-L directory`
  Search in directory for game modules.
`-noai`
  Suppress all AI creation during game setup.
`-pre form`
`-post form`
  Evaluate the GDL form form before or after all game modules have been read in. These are primarily of interest to game designers and testers.
`-r`
  Do not automatically add a player with a display set to `$DISPLAY`. If you use this option, you must specify all players on the command line explicitly.
`--version`
  Display version information.
`-w`
  Suppress all warnings, both during startup and during the game.
`-x`
  Bring up a set of new game, variant, and player setup dialogs. This is necessary if you want to both use setup dialogs and to supply command arguments.

The following options only work if the game design allows for the corresponding variants. In each case, the option corresponds to a particular setting of a particular variant, as seen in the online help info.

`-M width[xheight][Wcircumf][+lat][+long]`
  Set the size and position of the game area. If only width is given, then the height defaults to the same as width. Circumference (circumf) defaults to 360, lat and long default to 0. The name of the variant is `world-size`.
`-seq`
  Set sides to move in sequence, one at a time. This is equivalent to `-vsequential=1`.
`-sim`
  Set sides to all move simultaneously. This is equivalent to `-vsequential=0`.
`-tgame mins`
  Set the maximum total number of real minutes that a game may last. The variant is `real-time`.
`-tside mins`
  Set the maximum total number of real minutes allowed for each side's play. (This is like a chess clock.) The variant is `real-time`.
`-tturn mins`
  Set the maximum numbers of real minutes for each turn. When the maximum is reached, each side automatically finishes, as per the command, and the next turn begins. The variant is `real-time`.
`-v`
  Set the world to have been seen already. This is equivalent to `-vworld-seen=1`.
`-v[name][=value]`
  Set the variant named name to have the value value. If the value is not supplied, it defaults to 1 (`true`).
`-vhelp`
  Display variant help info only. This lists the available variants as `-help` does, but without all the other help info.
`-V`
  Set everything to be seen all the time. This is equivalent to `-vsee-all=1`.
`-V0, -Vfalse`
  Set everything not to be seen all the time. This is equivalent to `-vsee-all=0`.

If debugging has been compiled in, then the options `-D` and `-R` are also available. See the Xconq hacking manual for more detail.

The following options apply only to the default X11 display:

`-bg color`
  Set the background color for each window.
`-display displayname`
  Open the given display for the default player.
`-fg color`
  Set the foreground color for each window.
`-geometry geometry`
  Set the geometry of the initial window.
`-name name`
  Set the name of the application to use when looking up resources.

Go to the first, previous, next, last section, table of contents.